package com.xkrs.service;

import com.xkrs.model.qo.BankCardQo;
import com.xkrs.model.qo.BusinessQo;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
 * @Author: XinYi Song
 * @Date: 2021/12/14 9:51
 * 商家模块
 */
public interface MerchantSettlementService {

    /**
     * 商家入驻
     * @param businessQo
     * @param businessPhoto
     * @param businessLicense
     * @param bankCardQos
     * @param businessId
     * @return
     * @throws IOException
     */
    String merchantSettlement(BusinessQo businessQo, MultipartFile businessPhoto, MultipartFile businessLicense, List<BankCardQo> bankCardQos) throws IOException;

    /**
     * 通过状态查询商家入驻信息
     * @param type
     * @return
     */
    String findAllByBusinessType(String type);

    /**
     * 根据省市区查询审核通过的商家的信息
     * @param countyName
     * @param keepType
     * @return
     */
    String findAllByCountyName(String countyName, String keepType);

    /**
     * 根据商家用户id查询商家入驻信息
     * @param businessId
     * @return
     */
    String findBusinessById(Integer businessId);
}
